Sync automation provider settings
curl --request POST \
--url https://api.bundle.social/api/v1/automation-provider-settings/{id}/sync \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/automation-provider-settings/{id}/sync"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/automation-provider-settings/{id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"teamId": "<string>",
"platform": "INSTAGRAM",
"socialAccountId": "<string>",
"type": "FACEBOOK_PERSISTENT_MENU",
"status": "DRAFT",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"config": {},
"providerResponse": {},
"lastSyncedAt": "2023-11-07T05:31:56Z",
"lastSyncError": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"socialAccount": {
"id": "<string>",
"type": "TIKTOK",
"teamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"displayName": "<string>",
"bio": "<string>",
"avatarUrl": "<string>",
"externalId": "<string>",
"providerPageId": "<string>",
"userUsername": "<string>",
"userDisplayName": "<string>",
"userEmail": "<string>",
"userId": "<string>",
"channels": [
{
"id": "<string>",
"name": "<string>",
"username": "<string>",
"address": "<string>",
"avatarUrl": "<string>",
"webhook": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"url": "<string>"
},
"metadata": {
"allowImages": true,
"allowVideos": true,
"allowGalleries": true,
"linkFlairEnabled": true,
"facebookPageId": "<string>"
}
}
],
"mastodonServerId": "<string>",
"instagramConnectionMethod": "FACEBOOK",
"twitterSubType": "none",
"isTiktokBusinessAccount": true,
"disconnectedCheckTryAt": "2023-11-07T05:31:56Z",
"deleteOn": "2023-11-07T05:31:56Z",
"messagingStatus": "DISABLED",
"messagingStatusUpdatedAt": "2023-11-07T05:31:56Z",
"messagingLastError": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"code": "invalid_type",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}automation
Sync automation provider settings
Re-push a stored automation setting to the platform, for example after a failed sync or a reconnected account.
POST
/
api
/
v1
/
automation-provider-settings
/
{id}
/
sync
Sync automation provider settings
Authorizations
Path Parameters
Response
200
Available options:
INSTAGRAM, FACEBOOK, TIKTOK Available options:
FACEBOOK_PERSISTENT_MENU, INSTAGRAM_ICE_BREAKERS Available options:
DRAFT, SYNCED, SYNC_FAILED, DISABLED - Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?